package com.ibiz.util.domain;

import java.io.Serializable;
import org.springframework.util.DigestUtils;
import lombok.Data;

@Data
public class PSWFVersion implements Serializable {
    /**
	 * default serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

    /**
	 * 业务流程版本标识
	 */
	private String pswfversionid;

	/**
	 * 业务流程版本名称
	 */
	private String pswfversionname;

	/**
	 * 工作流应用标识
	 */
	private String wfappid;

	/**
	 * 业务工作流标识
	 */
	private String psworkflowid;

	/**
     * 业务工作流名称
     */
    private String psworkflowname;

	/**
	 * 工作流模式标识
	 */
	private String wfmodeid;

	/*
	 * 逻辑名
	 */
	private String logicname;

	/**
     * 部署系统标识
     */
    private String pssystemid;

    /**
     * 部署域标识
     */
    private String workflowid;

    /**
     * 引擎部署标识
     */
    private String wfenginedeployid;

    /**
     * 启动地址
     */
    private String starturl;

    /**
     * 流转地址
     */
    private String viewurl;

    /**
     * 版本
     */
    private Integer version;

    /**
     * 文件名
     */
    private String filename;

    /**
     * 文件内容
     */
    private byte[] filecontent;

    /**
	 * 组织标识
	 */
	private String orgid;

	/**
	 * 部门标识
	 */
	private String orgdeptid;

	/**
	 * 模块标识
	 */
	private String moduleid;

	public String getFilename() {
        return this.pswfversionid + "_" + this.filename;
    }
}
