package com.ibiz.util.domain;

import java.io.Serializable;
import java.sql.Timestamp;
import org.springframework.util.DigestUtils;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

@Data
public class WFInstance implements Serializable {
    /**
	 * default serialVersionUID
	 */
	private static final long serialVersionUID = 1L;

    /**
	 * 业务工作流标识
	 */
	private String psworkflowid;

	/**
	 * 业务流程版本标识
	 */
	private String pswfversionid;

	/**
	 * 引擎标识
	 */
	private String wfengineid;

	/**
	 * 引擎实例标识
	 */
	private String wfengineinstanceid;

	/**
	 * 实例标识
	 */
	private String wfinstanceid;

	/**
	 * 实例名
	 */
	private String wfinstancename;

		/**
	 * 实例类型
	 */
	private String instancetype;

	/**
	 * 流程状态
	 */
	private String wfstate;

	/**
	 * 业务数据
	 */
	private String bsdata;

	/**
	 * 业务流程数据
	 */
	private String bswfdata;

	/**
	 * 流程所有者
	 */
	private String owner;

	/**
	 * 当前步骤key
	 */
	private String curstep;

	/**
	 * 上一步骤key
	 */
	private String prevstep;

	/**
	 * 当前步骤值
	 */
	private String curstepvalue;

	/**
	 * 上一步骤值
	 */
	private String prevstepvalue;

	/**
	 * 是否关闭
	 */
	private Integer isclosed;

	/**
	 * 开始时间
	 */
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
	private Timestamp starttime;

	/**
	 * 结束时间
	 */
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
	private Timestamp endtime;

	/**
     * 部署工作流应用标识
     */
    private String wfappid;

	/**
     * 部署系统标识
     */
    private String pssystemid;

    /**
     * 部署域标识
     */
    private String workflowid;

    /**
     * 代理业务
     */
    private String proxymoduleid;

    /**
     * 父实例标识
     */
    private String parentinstid;

    /**
     * 主实例标识
     */
    private String majorinstid;

	/**
     * 发起人
     */
    private String originpersonid;

    /**
     * 发起人
     */
    private String originpersonname;

    /**
     * 发起人组织
     */
    private String originorgid;

    /**
     * 发起人组织
     */
    private String originorgname;

    /**
     * 发起人部门
     */
    private String originorgdeptid;

    /**
     * 发起人部门
     */
    private String originorgdeptname;

	 /**
     * 指定部门
     */
    private String orgid;

    /**
     * 指定部门
     */
    private String orgdeptid;
	
    /**
     * 指定人员
     */
    private String wfuserid;
}
